<%--
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Příklad 4.1 | Vývoj webových aplikací pomocí frameworku JavaServer Faces</title>
        </head>
        <body>
            <h1><h:outputText value="Dotazník"/></h1>
            <h:form>
                <h:panelGrid columns="2" cellpadding="5mm">
                    <h:outputText value="Jméno:"/>
                    <h:panelGroup>
                        <h:inputText id="jmeno" label="Jméno" value="#{uzivatel.jmeno}" required="true"
                                     requiredMessage="Povinná položka!"/>&nbsp;
                        <h:message for="jmeno" style="color: red;"/>
                    </h:panelGroup>

                    <h:outputText value="Heslo:"/>
                    <h:panelGroup>
                        <h:inputSecret id="heslo" label="Heslo" value="#{uzivatel.heslo}"/>&nbsp;
                        <h:message for="heslo" style="color: red;"/>
                    </h:panelGroup>

                    <h:outputText value="Vlastnosti:"/>
                    <h:inputTextarea value="#{uzivatel.vlastnosti}"/>

                    <h:outputText value="Přejete si dostávat reklamní emaily:"/>
                    <h:selectBooleanCheckbox value="#{uzivatel.dostavatEmaily}"/>

                    <h:outputText value="Oblíbené sporty:"/>
                    <h:selectManyCheckbox value="#{uzivatel.oblibeneSporty}">
                        <f:selectItems value="#{uzivatel.polozkySporty}"/>
                    </h:selectManyCheckbox>

                    <h:outputText value="Oblíbená barva:"/>
                    <h:selectOneMenu value="#{uzivatel.oblibenaBarva}">
                        <f:selectItem itemLabel="červaná" itemValue="červená"/>
                        <f:selectItem itemLabel="modrá" itemValue="modrá"/>
                        <f:selectItem itemLabel="zelená" itemValue="zelená"/>
                    </h:selectOneMenu>

                    <h:outputText value="Rodinný stav:"/>
                    <h:selectOneMenu value="#{uzivatel.rodinnyStav}">
                        <f:selectItems value="#{uzivatel.polozkyRodinnyStav}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <h:commandButton action="success" value="Potvrdit"/>&nbsp;
                <h:commandButton type="reset" value="Reset"/><br/><br/>
                <h:outputLink value="http://java.sun.com">
                    <h:graphicImage value="obr/java.png"/>
                </h:outputLink>
            </h:form>
        </body>
    </html>
</f:view>
