<%--
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Příklad 5.1 | Vývoj webových aplikací pomocí frameworku JavaServer Faces</title>
        </head>
        <body>
            <h1><h:outputText value="Transakce přijata"/></h1>
            <h2>Podrobnosti</h2>
            <h:panelGrid columns="2">
                <h:outputText value="Částka: "/>
                <h:outputText value="#{transakce.castka}">
                    <f:convertNumber minFractionDigits="2" type="currency"/>
                </h:outputText>

                <h:outputText value="Účet příjemce: "/>
                <h:outputText value="#{transakce.ucetPrijemce}"/>

                <h:outputText value="Zpráva pro příjemce: "/>
                <h:outputText value="#{transakce.zpravaProPrijemce}"/>
            </h:panelGrid>

        </body>
    </html>
</f:view>
