<%--
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Příklad 6.1 | Vývoj webových aplikací pomocí frameworku JavaServer Faces</title>
        </head>
        <body>
            <h1><h:outputText value="Nový příspěvek"/></h1>
            Aktuální částka: <h:outputText value="#{aukce.aktualniCastka}">
                <f:convertNumber type="currency" minFractionDigits="2" maxFractionDigits="2"/>
            </h:outputText>

            <h:form>
                <h:panelGrid columns="2">
                    <h:outputText value="Měna: "/>
                    <h:selectOneMenu value="#{aukce.mena}" onchange="submit()"
                                     valueChangeListener="#{aukce.zmenaMeny}">
                        <f:selectItems value="#{aukce.meny}"/>
                    </h:selectOneMenu>

                    <h:outputText value="Příspěvek: "/>
                    <h:panelGroup>
                        <h:inputText id="prihozenaCastka" label="Příspěvek" value="#{aukce.prihozenaCastka}">
                            <f:validateDoubleRange minimum="0.01"/>
                            <f:convertNumber maxFractionDigits="2"/>
                        </h:inputText>
                        <h:message for="prihozenaCastka" style="color:red"/>
                    </h:panelGroup>
                    
                </h:panelGrid>
                <h:commandButton value="Potvrdit" actionListener="#{aukce.prihozenaCastkaAkce}"/>
            </h:form>
        </body>
    </html>
</f:view>
