/*
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
*/

package priklady;

import java.util.Locale;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;

public class Transakce {
    private double castka;
    private double stavUctu = 123.34;
    private String ucetPrijemce;
    private String zpravaProPrijemce;
    private String mena;
    private SelectItem[] meny = {
        new SelectItem("cz"),
        new SelectItem("us")
    };

    public void setCastka(double castka) {
        this.castka = castka;
    }

    public double getStavUctu() {
        return stavUctu;
    }

    public void setStavUctu(double stavUctu) {
        this.stavUctu = stavUctu;
    }

    public void setUcetPrijemce(String ucetPrijemce) {
        this.ucetPrijemce = ucetPrijemce;
    }

    public void setZpravaProPrijemce(String zpravaProPrijemce) {
        this.zpravaProPrijemce = zpravaProPrijemce;
    }

    public double getCastka() {
        return castka;
    }

    public String getUcetPrijemce() {
        return ucetPrijemce;
    }

    public String getZpravaProPrijemce() {
        return zpravaProPrijemce;
    }

    public String getMena() {
        return mena;
    }

    public SelectItem[] getMeny() {
        return meny;
    }

    public void setMena(String mena) {
        this.mena = mena;
    }

    public void zmenaMeny(ValueChangeEvent event) {
        FacesContext context = FacesContext.getCurrentInstance();
        if (((String)event.getNewValue()).equals("us")) {
            context.getViewRoot().setLocale(Locale.US);
        } else {
            context.getViewRoot().setLocale(new Locale("cs", "CZ"));
        }
        context.renderResponse();
    }

    public void transakcePotvrzena(ActionEvent event) {
        setStavUctu(stavUctu - castka);
    }
}
